Retrieves a specific version for a budget
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| budgetId | The identifier for the budget | integer (int32) | Required |
| versionId | The identifier for the version being retrieved | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BudgetVersionResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| active | If this is the active budget version | boolean | ||||||||||||
| budgetId | The budget identifier | integer (int32) | ||||||||||||
| budgetVersionId | The budget version identifier | integer (int32) | ||||||||||||
| budgetVersionInfo | The budget version name | string | ||||||||||||
| hasBeenModified | Flag that shows if this budget version has been modified beyond its initial state using budget worksheets | boolean | ||||||||||||
| modifiedBy | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| modifiedDate | The date when the version was modified | string (date-time) | ||||||||||||
| notes | Notes for the budget | string | ||||||||||||
| totalBudget | The total budget of the budget version | number (double) | ||||||||||||
| versionNumber | The budget version number | integer (int32) | ||||||||||||
Example Response
{ "active": false, "budgetId": 1, "budgetVersionId": 1, "budgetVersionInfo": "string", "hasBeenModified": false, "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "notes": "string", "totalBudget": 1.0, "versionNumber": 1
}